Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source
Class SourceTransformerDefinition

    java.lang.Object
      org.apache.torque.generator.source.SourceTransformerDefinition

    public final class SourceTransformerDefinition

extends Object

All necessary informations for doing a transformation. Contains the class name and the elements the transformer should run on. $Id: SourceTransformerDefinition.java 1337545 2012-05-12 13:56:26Z tfischer $

Constructor Summary
`SourceTransformerDefinition(SourceTransformer sourceTransformer, String elements)` Constructor.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getElements()` Returns the path to the source elements to which the transformer is applied.
`SourceTransformer` | `getSourceTransformer()` Returns the source transformer instance for this definition.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceTransformerDefinition

    public SourceTransformerDefinition(SourceTransformer sourceTransformer,
                                       String elements)

  Constructor.

  Parameters:
    `sourceTransformer` - the transformer instance, not null.
    `elements` - the elements to which the transformer is applied, may be null.

Method Detail

### getSourceTransformer

    public SourceTransformer getSourceTransformer()

  Returns the source transformer instance for this definition.

  Returns:
    the source transformer instance, not null.

### getElements

    public String getElements()

  Returns the path to the source elements to which the transformer is applied.

  Returns:
    The path to the transformed source elements, or null.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.